#
#  Trust Design LLC : SECS/HSMS Communication library
#
#  (c) Copyright Trust Design LLC.  2010-2018.  All rights reserved.
#


#
# Targets
#

H0=		SubFunctions

P0=		SimpleIo
P1=		BasicIo
P2=		CallbackIo
PC=		JVIo
PD=		JavaIo

CFLAGS=		-I.. -Aa -Ae +DD64 +z +W 2009,2177,4232,4279 -D_POSIX_C_SOURCE=199506L
LFLAGS=		-L../HP-UX64 -ldld -lTDS -Wl,+s
JFLAGS=		-encoding SJIS -source 1.7 -target 1.7 -classpath ../TDJVS.jar


#
# All product
#

all:		$(P0)		\
		$(P1)		\
		$(P2)		\
		$(PC).class

clean:
		rm -f $(P0) $(P1) $(P2) $(PC)*.class $(PD)*.class


#
# Relations
#

$(P0):		$(P0).c
		cc -o $(P0) $(P0).c	$(CFLAGS) $(LFLAGS)

$(P1):		$(P1).c $(H0).h
		cc -o $(P1) $(P1).c	$(CFLAGS) $(LFLAGS)

$(P2):		$(P2).c $(H0).h
		cc -o $(P2) $(P2).c	$(CFLAGS) $(LFLAGS)

$(PC).class:	$(PC).java
		javac -d .  $(PC).java	$(JFLAGS)

$(PD).class:	$(PD).java
		javac -d .  $(PD).java	$(JFLAGS)
